curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"balance": {
"currencyCode": "<string>",
"value": 123
},
"createdDateTime": "2023-11-07T05:31:56Z",
"routingNumber": "<string>",
"status": "ACTIVE",
"bankAccountReference": "<string>",
"nickname": "<string>"
}
],
"nextPaginationToken": "<string>",
"prevPaginationToken": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}List bank accounts
Retrieves all embedded bank accounts for the authenticated user with their current balances. Bank and platform users can optionally filter by organization ID to see accounts for a specific VSP.
Token types: APP, USER | Required scopes: bank_account:read:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Headers
ID of the organization to perform this operation on behalf of. Required for BANK and PLATFORM app token callers targeting a specific organization. If omitted, the request uses the authenticated caller's own organization. Must be a valid non-empty UUID. Present but malformed values return 400.
Query Parameters
Number of items to return (default 25, max 100).
Opaque pagination token from a previous response.
Optional filter by bank account status. See BankAccountStatus for supported values.
The status of a bank account.
ACTIVE, CLOSED Response
Returns bank accounts with balances.
A paginated response containing a page of results and navigation tokens.
The items in the current page.
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.
Was this page helpful?